﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5800
DATE:                  2009-06-30 11:15:29
AUTHOR:                Fluke
REVISION:              $Revision: 1.8 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       32
NUMBER OF LINES:       1271
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tek_tds5000b_1yr_bw_iso_trg_ver_ieee_5800.txt,v $
#    $Date: 2009/06/30 18:08:12 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS5000B Series: TDS 5032B, TDS 5034B, TDS 5052B, TDS 5054B,
#                         TDS 5054BE
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.002  JMPL         CHANNELS_ISOLATION           PSUBI("Channels Iso")
  1.003  JMPL         TRIGGER                      PSUBI("Trig Sens")
  1.004  DISP         {Undefined subprocedure!}
  1.005  END

  1.006  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  HEAD         ANALOG BANDWIDTH (CH [V @Chan])
  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  HEAD         -2{ 100 mV/div}
  2.011  TARGET
  2.012  CALL         Sub Tek TDS5000B Channel Select IEEE
  2.013  IEEE2        CH[V @Chan]:TER 50
  2.014  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.015  IEEE2        ACQ:SAMP ET
  2.016  IEEE2        TRIG:A:MOD NORM;TYPE EDGE
  2.017  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  2.018  IEEE2        MEASU:METH MINM
  2.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE FREQ;STATE ON
  2.020  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYP PK2P;STATE ON

  2.021  IF           ZCMPI(@ModelNum, "TDS5054BE")
  2.022  MATH         L[1] = 50E-9
  2.023  ELSE
  2.024  MATH         L[1] = 40E-9
  2.025  ENDIF

  2.026  IEEE2        HOR:SCA [L1]
  2.027  IEEE2        CH[V @Chan]:SCA 100E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.028  MATH         MEM = 600; MEM1 = MEM

  2.029  DO
  2.030  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.031  IF           MEM > 5500 || MEM < 5
  2.032  MATH         MEM = 600
  2.033  ENDIF

  2.034  5800         mVpp                         10MH           LS S6 S  L

  2.035  DO
  2.036  IEEE2        [D250]TRIG:A SETL
  2.037  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  2.038  UNTIL        @Trig

  2.039  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  2.040  MATH         MEM = MEM / 1E-3
  2.041  UNTIL        (MEM >= 599) && (MEM <= 601)

  2.042  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  2.043  MATH         MEM = MEM1

  2.044  IF           @Bandwidth == 350E+6
  2.045  MATH         Freq = 350
  2.046  5800         mVpp                         350MH          LS S6 S  L
  2.047  ELSE
  2.048  MATH         Freq = 500
  2.049  5800         mVpp                         500MH          LS S6 S  L
  2.050  ENDIF

  2.051  IEEE2        TRIG:A SETL
  2.052  WAIT         -t 2 Settling...
  2.053  IEEE2        MEASU:MEAS2:VAL?[I]
  2.054  MATH         MEM = MEM / 1E-3
  2.055  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  2.056  MEM2         = Limit: >= 424 mVpp @ [V Freq] MHz, Result: [MEM2]
  2.057  EVAL   -e MEM >= 424 : [MEM2]

# Only query once whether to do optional other scales bandwidth test when the
# channel 1 is tested, other channels test will take the same answer.
  3.001  IF           @Chan == 1
  3.002  HEAD         BANDWIDTH TESTS (OTHER SCALES)
  3.003  OPBR         -z Checking the bandwidth of each channel at all
  3.003  OPBR         vertical scale settings is time consuming and
  3.003  OPBR         unnecessary if Self Test, Self Path Compensation
  3.003  OPBR         and 100 mV scale bandwidth test have passed.
  3.003  OPBR
  3.003  OPBR         Do you want to SKIP the optional bandwidth test of other
  3.003  OPBR         scale settings?
  3.004  MATH         @OptBWSkipped =  MEM1
  3.005  ENDIF

  3.006  IF           NOT(@OptBWSkipped)
  3.007  RSLT         =
  3.008  HEAD         -2{ 1 mV/div}
  3.009  TARGET
  3.010  IEEE2        HOR:SCA [L1]
  3.011  IEEE2        CH[V @Chan]:SCA 1E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 5.95 mV and 6.05 mV.
  3.012  MATH         MEM = 6; MEM1 = MEM

  3.013  DO
  3.014  MATH         MEM = MEM1 + (6 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.015  IF           MEM > 5500 || MEM < 5
  3.016  MATH         MEM = 6
  3.017  ENDIF

  3.018  5800         mVpp                         10MH           LS S6 S  L

  3.019  DO
  3.020  IEEE2        [D250]TRIG:A SETL
  3.021  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  3.022  UNTIL        @Trig

  3.023  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  3.024  MATH         MEM = MEM / 1E-3
  3.025  UNTIL        (MEM >= 5.95) && (MEM <= 6.05)

  3.026  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  3.027  MATH         MEM = MEM1

  3.028  IF           @Bandwidth == 350E+6
  3.029  MATH         Freq =  150
  3.030  5800         mVpp                         150MH          LS S6 S  L
  3.031  ELSE
  3.032  MATH         Freq =  175
  3.033  5800         mVpp                         175MH          LS S6 S  L
  3.034  ENDIF

  3.035  IEEE2        TRIG:A SETL
  3.036  WAIT         -t 2 Settling...
  3.037  IEEE2        MEASU:MEAS2:VAL?[I]
  3.038  MATH         MEM = MEM / 1E-3
  3.039  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  3.040  MEM2         = Limit: >= 4.24 mVpp @ [V Freq] MHz, Result: [MEM2]
  3.041  EVAL   -e MEM >= 4.24 : [MEM2]

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 mV/div}
  4.003  TARGET
  4.004  IEEE2        HOR:SCA [L1]
  4.005  IEEE2        CH[V @Chan]:SCA 2E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 11.95 mV and 12.05 mV.
  4.006  MATH         MEM = 12; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (12 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5500 || MEM < 5
  4.010  MATH         MEM = 12
  4.011  ENDIF

  4.012  5800         mVpp                         10MH           LS S6 S  L

  4.013  DO
  4.014  IEEE2        [D250]TRIG:A SETL
  4.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  4.016  UNTIL        @Trig

  4.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  4.018  MATH         MEM = MEM / 1E-3
  4.019  UNTIL        (MEM >= 11.95) && (MEM <= 12.05)

  4.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  4.021  MATH         MEM = MEM1

  4.022  IF           @Bandwidth == 350E+6
  4.023  MATH         Freq =  250
  4.024  5800         mVpp                         250MH          LS S6 S  L
  4.025  ELSE
  4.026  MATH         Freq =  300
  4.027  5800         mVpp                         300MH          LS S6 S  L
  4.028  ENDIF

  4.029  IEEE2        TRIG:A SETL
  4.030  WAIT         -t 2 Settling...
  4.031  IEEE2        MEASU:MEAS2:VAL?[I]
  4.032  MATH         MEM = MEM / 1E-3
  4.033  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  4.034  MEM2         = Limit: >= 8.48 mVpp @ [V Freq] MHz, Result: [MEM2]
  4.035  EVAL   -e MEM >= 8.48 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{ 5 mV/div}
  5.003  TARGET
  5.004  IEEE2        HOR:SCA [L1]
  5.005  IEEE2        CH[V @Chan]:SCA 5E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 29.9 mV and 30.1 mV.
  5.006  MATH         MEM = 30; MEM1 = MEM

  5.007  DO
  5.008  MATH         MEM = MEM1 + (30 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.009  IF           MEM > 5500 || MEM < 5
  5.010  MATH         MEM = 30
  5.011  ENDIF

  5.012  5800         mVpp                         10MH           LS S6 S  L

  5.013  DO
  5.014  IEEE2        [D250]TRIG:A SETL
  5.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  5.016  UNTIL        @Trig

  5.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  5.018  MATH         MEM = MEM / 1E-3
  5.019  UNTIL        (MEM >= 29.9) && (MEM <= 30.1)

  5.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  5.021  MATH         MEM = MEM1

  5.022  IF           @Bandwidth == 350E+6
  5.023  MATH         Freq =  350
  5.024  5800         mVpp                         350MH          LS S6 S  L
  5.025  ELSE
  5.026  MATH         Freq =  500
  5.027  5800         mVpp                         500MH          LS S6 S  L
  5.028  ENDIF

  5.029  IEEE2        TRIG:A SETL
  5.030  WAIT         -t 2 Settling...
  5.031  IEEE2        MEASU:MEAS2:VAL?[I]
  5.032  MATH         MEM = MEM / 1E-3
  5.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  5.034  MEM2         = Limit: >= 21.2 mVpp @ [V Freq] MHz, Result: [MEM2]
  5.035  EVAL   -e MEM >= 21.2 : [MEM2]

  6.001  RSLT         =
  6.002  HEAD         -2{ 10 mV/div}
  6.003  TARGET
  6.004  IEEE2        HOR:SCA [L1]
  6.005  IEEE2        CH[V @Chan]:SCA 10E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.9 mV and 60.1 mV.
  6.006  MATH         MEM = 60; MEM1 = MEM

  6.007  DO
  6.008  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.009  IF           MEM > 5500 || MEM < 5
  6.010  MATH         MEM = 60
  6.011  ENDIF

  6.012  5800         mVpp                         10MH           LS S6 S  L

  6.013  DO
  6.014  IEEE2        [D250]TRIG:A SETL
  6.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  6.016  UNTIL        @Trig

  6.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  6.018  MATH         MEM = MEM / 1E-3
  6.019  UNTIL        (MEM >= 59.9) && (MEM <= 60.1)

  6.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  6.021  MATH         MEM = MEM1

  6.022  IF           @Bandwidth == 350E+6
  6.023  MATH         Freq =  350
  6.024  5800         mVpp                         350MH          LS S6 S  L
  6.025  ELSE
  6.026  MATH         Freq =  500
  6.027  5800         mVpp                         500MH          LS S6 S  L
  6.028  ENDIF

  6.029  IEEE2        TRIG:A SETL
  6.030  WAIT         -t 2 Settling...
  6.031  IEEE2        MEASU:MEAS2:VAL?[I]
  6.032  MATH         MEM = MEM / 1E-3
  6.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  6.034  MEM2         = Limit: >= 42.4 mVpp @ [V Freq] MHz, Result: [MEM2]
  6.035  EVAL   -e MEM >= 42.4 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ 20 mV/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA [L1]
  7.005  IEEE2        CH[V @Chan]:SCA 20E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 119.9 mV and 120.1 mV.
  7.006  MATH         MEM = 120; MEM1 = MEM

  7.007  DO
  7.008  MATH         MEM = MEM1 + (120 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.009  IF           MEM > 5500 || MEM < 5
  7.010  MATH         MEM = 120
  7.011  ENDIF

  7.012  5800         mVpp                         10MH           LS S6 S  L

  7.013  DO
  7.014  IEEE2        [D250]TRIG:A SETL
  7.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  7.016  UNTIL        @Trig

  7.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  7.018  MATH         MEM = MEM / 1E-3
  7.019  UNTIL        (MEM >= 119.9) && (MEM <= 120.1)

  7.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  7.021  MATH         MEM = MEM1

  7.022  IF           @Bandwidth == 350E+6
  7.023  MATH         Freq =  350
  7.024  5800         mVpp                         350MH          LS S6 S  L
  7.025  ELSE
  7.026  MATH         Freq =  500
  7.027  5800         mVpp                         500MH          LS S6 S  L
  7.028  ENDIF

  7.029  IEEE2        TRIG:A SETL
  7.030  WAIT         -t 2 Settling...
  7.031  IEEE2        MEASU:MEAS2:VAL?[I]
  7.032  MATH         MEM = MEM / 1E-3
  7.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  7.034  MEM2         = Limit: >= 84.8 mVpp @ [V Freq] MHz, Result: [MEM2]
  7.035  EVAL   -e MEM >= 84.8 : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         -2{ 50 mV/div}
  8.003  TARGET
  8.004  IEEE2        HOR:SCA [L1]
  8.005  IEEE2        CH[V @Chan]:SCA 50E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 299 mV and 301 mV.
  8.006  MATH         MEM = 300; MEM1 = MEM

  8.007  DO
  8.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.009  IF           MEM > 5500 || MEM < 5
  8.010  MATH         MEM = 300
  8.011  ENDIF

  8.012  5800         mVpp                         10MH           LS S6 S  L

  8.013  DO
  8.014  IEEE2        [D250]TRIG:A SETL
  8.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  8.016  UNTIL        @Trig

  8.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  8.018  MATH         MEM = MEM / 1E-3
  8.019  UNTIL        (MEM >= 299) && (MEM <= 301)

  8.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  8.021  MATH         MEM = MEM1

  8.022  IF           @Bandwidth == 350E+6
  8.023  MATH         Freq =  350
  8.024  5800         mVpp                         350MH          LS S6 S  L
  8.025  ELSE
  8.026  MATH         Freq =  500
  8.027  5800         mVpp                         500MH          LS S6 S  L
  8.028  ENDIF

  8.029  IEEE2        TRIG:A SETL
  8.030  WAIT         -t 2 Settling...
  8.031  IEEE2        MEASU:MEAS2:VAL?[I]
  8.032  MATH         MEM = MEM / 1E-3
  8.033  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  8.034  MEM2         = Limit: >= 212 mVpp @ [V Freq] MHz, Result: [MEM2]
  8.035  EVAL   -e MEM >= 212 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         -2{ 200 mV/div}
  9.003  TARGET
  9.004  IEEE2        HOR:SCA [L1]
  9.005  IEEE2        CH[V @Chan]:SCA 200E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1199 mV and 1201 mV.
  9.006  MATH         MEM = 1200; MEM1 = MEM

  9.007  DO
  9.008  MATH         MEM = MEM1 + (1200 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.009  IF           MEM > 5500 || MEM < 5
  9.010  MATH         MEM = 1200
  9.011  ENDIF

  9.012  5800         mVpp                         10MH           LS S6 S  L

  9.013  DO
  9.014  IEEE2        [D250]TRIG:A SETL
  9.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  9.016  UNTIL        @Trig

  9.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  9.018  MATH         MEM = MEM / 1E-3
  9.019  UNTIL        (MEM >= 1199) && (MEM <= 1201)

  9.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  9.021  MATH         MEM = MEM1

  9.022  IF           @Bandwidth == 350E+6
  9.023  MATH         Freq =  350
  9.024  5800         mVpp                         350MH          LS S6 S  L
  9.025  ELSE
  9.026  MATH         Freq =  500
  9.027  5800         mVpp                         500MH          LS S6 S  L
  9.028  ENDIF

  9.029  IEEE2        TRIG:A SETL
  9.030  WAIT         -t 2 Settling...
  9.031  IEEE2        MEASU:MEAS2:VAL?[I]
  9.032  MATH         MEM = MEM / 1E-3
  9.033  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  9.034  MEM2         = Limit: >= 848 mVpp @ [V Freq] MHz, Result: [MEM2]
  9.035  EVAL   -e MEM >= 848 : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         -2{ 500 mV/div}
 10.003  TARGET
 10.004  IEEE2        HOR:SCA [L1]
 10.005  IEEE2        CH[V @Chan]:SCA 500E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01V
 10.006  MATH         MEM = 3; MEM1 = MEM

 10.007  DO
 10.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.009  IF           MEM > 5.5 || MEM < 0.005
 10.010  MATH         MEM = 3
 10.011  ENDIF

 10.012  5800         Vpp                          10MH           LS S6 S  L

 10.013  DO
 10.014  IEEE2        [D250]TRIG:A SETL
 10.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 10.016  UNTIL        @Trig

 10.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
 10.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

 10.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 10.020  MATH         MEM = MEM1

 10.021  IF           @Bandwidth == 350E+6
 10.022  MATH         Freq =  350
 10.023  5800         Vpp                          350MH          LS S6 S  L
 10.024  ELSE
 10.025  MATH         Freq =  500
 10.026  5800         Vpp                          500MH          LS S6 S  L
 10.027  ENDIF

 10.028  IEEE2        TRIG:A SETL
 10.029  WAIT         -t 2 Settling...
 10.030  IEEE2        MEASU:MEAS2:VAL?[I]
 10.031  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 10.032  MEM2         = Limit: >= 2.12 Vpp @ [V Freq] MHz, Result: [MEM2]
 10.033  EVAL   -e MEM >= 2.12 : [MEM2]

 11.001  RSLT         =
 11.002  HEAD         -2{ 1 V/div}
 11.003  TARGET
 11.004  IEEE2        HOR:SCA [L1]
 11.005  IEEE2        CH[V @Chan]:SCA 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 4.99 V and 5.01V
 11.006  MATH         MEM = 5; MEM1 = MEM

 11.007  DO
 11.008  MATH         MEM = MEM1 + (5 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 11.009  IF           MEM > 5.5 || MEM < 0.005
 11.010  MATH         MEM = 5
 11.011  ENDIF

 11.012  5800         Vpp                          10MH           LS S6 S  L

 11.013  DO
 11.014  IEEE2        [D250]TRIG:A SETL
 11.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 11.016  UNTIL        @Trig

 11.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
 11.018  UNTIL        (MEM >= 4.99) && (MEM <= 5.01)

 11.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 11.020  MATH         MEM = MEM1

 11.021  IF           @Bandwidth == 350E+6
 11.022  MATH         Freq =  350
 11.023  5800         Vpp                          350MH          LS S6 S  L
 11.024  ELSE
 11.025  MATH         Freq =  500
 11.026  5800         Vpp                          500MH          LS S6 S  L
 11.027  ENDIF

 11.028  IEEE2        TRIG:A SETL
 11.029  WAIT         -t 2 Settling...
 11.030  IEEE2        MEASU:MEAS2:VAL?[I]
 11.031  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 11.032  MEM2         = Limit: >= 3.54 Vpp @ [V Freq] MHz, Result: [MEM2]
 11.033  EVAL   -e MEM >= 3.54 : [MEM2]

 12.001  ENDIF

 12.002  5800         *                                                 S
 12.003  HEAD         -2
 12.004  END

 12.005  EVAL   Increment step number

# ******************************* Channels Isolation *************************

 13.001  LABEL        CHANNELS_ISOLATION

 13.002  IF           @Chan == 1
 13.003  RSLT         =
 13.004  RSLT         =CHECK CHANNELS ISOLATION(CROSSTALK)
 13.005  ENDIF

 13.006  HEAD         CHECK CHANNELS ISOLATION
 13.007  RSLT         =
 13.008  RSLT         = Input Channel [V @Chan]

 13.009  RSLT         =
 13.010  HEAD         -2{ 100 MHz, 8 Division}
 13.011  TARGET
 13.012  LABEL        START_100MHz_ISO
 13.013  CALL         Sub Tek TDS5000B Channel Select IEEE
# Note: Here we adjust the vertical scale to 10 mV/div rather than 100 mV/div
# of service manual is because we found it is easy to occur execution error
# or query error when querying the crosstalk result for the value is too small
# than vertical scale. According the specification the crosstalk of channels
# should be tested with same vertical scale setting between the test channels.
 13.014  IF           @NumChan == 2

# Specify channel being tested.
 13.015  IF           @Chan == 1
 13.016  MATH         L[12] = 2
 13.017  ELSE
 13.018  MATH         L[12] = 1
 13.019  ENDIF

 13.020  IEEE2        SELECT:CH[L12] ON
 13.021  IEEE2        CH[V @Chan]:TER 50;SCA 10E-3
 13.022  IEEE2        CH[L12]:TER 50;SCA 10E-3

 13.023  ELSE

# Specify channel being tested.
 13.024  IF           @Chan == 1
 13.025  MATH         L[12] = 2; L[13] = 3; L[14] = 4
 13.026  ELSEIF       @Chan == 2
 13.027  MATH         L[12] = 1; L[13] = 3; L[14] = 4
 13.028  ELSEIF       @Chan == 3
 13.029  MATH         L[12] = 1; L[13] = 2; L[14] = 4
 13.030  ELSE
 13.031  MATH         L[12] = 1; L[13] = 2; L[14] = 3
 13.032  ENDIF

 13.033  IEEE2        SELECT:CH[L12] ON;CH[L13] ON;CH[L14] ON
 13.034  IEEE2        CH[V @Chan]:TER 50;SCA 10E-3
 13.035  IEEE2        CH[L12]:TER 50;SCA 10E-3
 13.036  IEEE2        CH[L13]:TER 50;SCA 10E-3
 13.037  IEEE2        CH[L14]:TER 50;SCA 10E-3
 13.038  ENDIF

 13.039  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 13.040  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 13.041  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYP AMPL;STATE ON

 13.042  IF           ZCMPI(@ModelNum, "TDS5054BE")
 13.043  IEEE2        HOR:SCA 25E-9
 13.044  ELSE
 13.045  IEEE2        HOR:SCA 20E-9
 13.046  ENDIF

# Set the output of the calibrator so the amplitude measurement at 100MHz is
# between 79.5 and 80.5mV.
 13.047  MATH         MEM = 80.0; MEM1 = MEM

 13.048  DO
 13.049  MATH         MEM = MEM1 + (80.0 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 13.050  IF           MEM > 5500 || MEM < 5
 13.051  MATH         MEM = 80.0
 13.052  ENDIF

 13.053  DO
 13.054  5800         mVpp                         100MH          LS S6 S  L
 13.055  IEEE2        [D500]TRIG:A SETL
 13.056  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 13.057  UNTIL        @Trig

 13.058  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 13.059  MATH         MEM = MEM / 1E-3
 13.060  UNTIL        (MEM >= 79.5) && (MEM <= 80.5)

# Save the output amplitude of calibrator.
 13.061  MATH         Ampl = MEM1
 13.062  IEEE2        MEASU:MEAS2:SOU CH[L12];TYP AMPL;STATE ON

 13.063  IF           @NumChan == 2
 13.064  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based vertical scale setting.
 13.065  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 13.066  MATH         MEM = FRND(MEM, 4)
 13.067  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 13.068  MEM2         = CH [L12] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 13.069  EVAL   -e MEM <= 0.08 : [MEM2]

 14.001  IEEE2        MEASU:MEAS2:STATE OFF

# 4 channels UUT.
 14.002  ELSE
 14.003  JMPL         FIRST_CH_100MHz

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 14.004  TARGET
 14.005  JMPL         START_100MHz_ISO

 14.006  LABEL        FIRST_CH_100MHz
 14.007  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 14.008  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 14.009  MATH         MEM = FRND(MEM, 4)
 14.010  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 14.011  MEM2         = CH [L12] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 14.012  EVAL   -e MEM <= 0.08 : [MEM2]

 15.001  IEEE2        MEASU:MEAS3:SOU CH[L13];TYP AMPL;STATE ON
 15.002  MATH         MEM = Ampl

 15.003  DO
 15.004  5800         mVpp                         100MH          LS S6 S  L
 15.005  IEEE2        [D500]TRIG:A SETL
 15.006  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 15.007  UNTIL        @Trig

 15.008  IEEE2        MEASU:MEAS3:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 15.009  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 15.010  MATH         MEM = FRND(MEM, 4)
 15.011  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 15.012  MEM2         = CH [L13] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 15.013  EVAL   -e MEM <= 0.08 : [MEM2]

 16.001  IEEE2        MEASU:MEAS4:SOU CH[L14];TYP AMPL;STATE ON
 16.002  MATH         MEM = Ampl

 16.003  DO
 16.004  5800         mVpp                         100MH          LS S6 S  L
 16.005  IEEE2        [D1000]TRIG:A SETL
 16.006  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 16.007  UNTIL        @Trig

 16.008  IEEE2        MEASU:MEAS4:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 16.009  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 16.010  MATH         MEM = FRND(MEM, 4)
 16.011  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 16.012  MEM2         = CH [L14] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 16.013  EVAL   -e MEM <= 0.08 : [MEM2]

 17.001  IEEE2        MEASU:MEAS2:STATE OFF
 17.001  IEEE2        MEASU:MEAS3:STATE OFF
 17.001  IEEE2        MEASU:MEAS4:STATE OFF
 17.002  ENDIF

 17.003  RSLT         =
 17.004  HEAD         -2{ Full Bandwidth, 8 Division}
 17.005  TARGET
 17.006  LABEL        START_FULL_BW_ISO
# Set the output of the calibrator so the amplitude measurement at full
# bandwidth is between 78.5 and 81.5 mV.
 17.007  MATH         MEM = 80.0; MEM1 = MEM

 17.008  DO
 17.009  MATH         MEM = MEM1 + (80.0 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 17.010  IF           MEM > 5500 || MEM < 5
 17.011  MATH         MEM = 80.0
 17.012  ENDIF

 17.013  DO

 17.014  IF           @Bandwidth == 350E+6
 17.015  5800         mVpp                         350MH          LS S6 S  L
 17.016  ELSE
 17.017  5800         mVpp                         500MH          LS S6 S  L
 17.018  ENDIF

 17.019  IEEE2        [D500]TRIG:A SETL
 17.020  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 17.021  UNTIL        @Trig

 17.022  IEEE2        MEASU:MEAS1:VAL?[I]
 17.023  MATH         MEM = MEM / 1E-3
 17.024  UNTIL        (MEM >= 78.5) && (MEM <= 81.5)

# Save the output amplitude of calibrator.
 17.025  MATH         Ampl = MEM1
 17.026  IEEE2        MEASU:MEAS2:SOU CH[L12];TYP AMPL;STATE ON

 17.027  IF           @Bandwidth == 350E+6
 17.028  MATH         Freq =  350
 17.029  ELSE
 17.030  MATH         Freq =  500
 17.031  ENDIF

 17.032  IF           @NumChan == 2
 17.033  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 17.034  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 17.035  MATH         MEM = FRND(MEM, 4)
 17.036  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 17.037  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 17.038  MEM2         = CH [L12] [V Limit], [V Result]
 17.039  EVAL   -e MEM <= 0.16 : [MEM2]

 18.001  IEEE2        MEASU:MEAS1:STATE OFF
 18.001  IEEE2        MEASU:MEAS2:STATE OFF

# 4 channels UUT.
 18.002  ELSE
 18.003  JMPL         FIRST_CH_FULL_BW

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 18.004  TARGET
 18.005  JMPL         START_FULL_BW_ISO

 18.006  LABEL        FIRST_CH_FULL_BW
 18.007  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 18.008  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 18.009  MATH         MEM = FRND(MEM, 4)
 18.010  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 18.011  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 18.012  MEM2         = CH [L12] [V Limit], [V Result]
 18.013  EVAL   -e MEM <= 0.16 : [MEM2]

 19.001  IEEE2        MEASU:MEAS3:SOU CH[L13];TYP AMPL;STATE ON
 19.002  MATH         MEM = Ampl

 19.003  DO

 19.004  IF           @Bandwidth == 350E+6
 19.005  5800         mVpp                         350MH          LS S6 S  L
 19.006  ELSE
 19.007  5800         mVpp                         500MH          LS S6 S  L
 19.008  ENDIF

 19.009  IEEE2        [D500]TRIG:A SETL
 19.010  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 19.011  UNTIL        @Trig

 19.012  IEEE2        MEASU:MEAS3:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 19.013  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 19.014  MATH         MEM = FRND(MEM, 4)
 19.015  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 19.016  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 19.017  MEM2         = CH [L13] [V Limit], [V Result]
 19.018  EVAL   -e MEM <= 0.16 : [MEM2]

 20.001  IEEE2        MEASU:MEAS4:SOU CH[L14];TYP AMPL;STATE ON
 20.002  MATH         MEM = Ampl

 20.003  DO

 20.004  IF           @Bandwidth == 350E+6
 20.005  5800         mVpp                         350MH          LS S6 S  L
 20.006  ELSE
 20.007  5800         mVpp                         500MH          LS S6 S  L
 20.008  ENDIF

 20.009  IEEE2        [D500]TRIG:A SETL
 20.010  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 20.011  UNTIL        @Trig

 20.012  IEEE2        MEASU:MEAS4:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 20.013  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 20.014  MATH         MEM = FRND(MEM, 4)
 20.015  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 20.016  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 20.017  MEM2         = CH [L14] [V Limit], [V Result]
 20.018  EVAL   -e MEM <= 0.16 : [MEM2]

 21.001  IEEE2        MEASU:MEAS1:STATE OFF
 21.001  IEEE2        MEASU:MEAS2:STATE OFF
 21.001  IEEE2        MEASU:MEAS3:STATE OFF
 21.001  IEEE2        MEASU:MEAS4:STATE OFF
 21.002  ENDIF

 21.003  HEAD
 21.004  HEAD         -2
 21.005  5800         *                                                 S
 21.006  END

 21.007  EVAL   Increment step number

# ********************************** Trigger  ********************************

 22.001  LABEL        TRIGGER

 22.002  IF           @Chan == 1
 22.003  RSLT         =
 22.004  RSLT         =TRIGGER SYSTEM CHECKS
 22.005  RSLT         =
 22.006  RSLT         =EDGE-TRIGGER SENSITIVITY
 22.007  ENDIF

 22.008  RSLT         =
 22.009  RSLT         =Channel [V @Chan]

 22.010  HEAD         EDGE-TRIGGER SENSITIVITY (Channel [V @Chan])
 22.011  RSLT         =
 22.012  HEAD         -2{ TRIGGER SENSITIVITY (50 MHz)}
 22.013  TARGET
 22.014  CALL         Sub Tek TDS5000B Channel Select IEEE
 22.015  IEEE2        TRIG:A:MOD NORM;TYP EDGE
 22.016  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 22.017  IEEE2        ACQ:MODE AVE;NUMAV 16
 22.018  IEEE2        MEASU:METH MINM
 22.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON
 22.020  IEEE2        TRIG:A SETL
 22.021  IEEE2        CH[V @Chan]:SCA 100E-3
 22.022  IEEE2        CH[V @Chan]:TER 50

 22.023  IF           ZCMPI(@ModelNum, "TDS5054BE")
 22.024  IEEE2        HOR:SCA 25E-9
 22.025  ELSE
 22.026  IEEE2        HOR:SCA 20E-9
 22.027  ENDIF

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 350 mV(100 mV/div, 3.5 div).
 22.028  MATH         MEM = 350; MEM1 = MEM

 22.029  DO
 22.030  MATH         MEM = MEM1 + (350 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 22.031  IF           MEM > 5500 || MEM < 5
 22.032  MATH         MEM = 350
 22.033  ENDIF

 22.034  5800         mVpp                         50MH           LS S6 S  L

 22.035  DO
 22.036  IEEE2        [D250]TRIG:A SETL
 22.037  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 22.038  UNTIL        @Trig

 22.039  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 22.040  MATH         MEM = MEM / 1E-3
 22.041  UNTIL        (MEM >= 348) && (MEM <= 352)

# Reduce the output of calibrator to one tenth (about 35 mV or 0.35 div)
# in place of using a 10x attenuator.
 22.042  MATH         MEM = MEM1 / 10
 22.043  5800         mVpp                         50MH           LS S6 S  L
 22.044  MATH         Ampl = MEM1
 22.045  IEEE2        TRIG:MAI:EDGE:SLO RISE
 22.046  MATH         @PeakVal = 17.5E-3
 22.047  MATH         @StepVal = 0.5E-3
 22.048  MATH         @TrigObj = "A"
 22.049  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 22.050  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 22.051  EVAL   -e @Trig : [MEM2]

 23.001  MATH         MEM = Ampl
 23.002  5800         mVpp                         50MH           LS S6 S  L
 23.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 23.004  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 23.005  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 23.006  EVAL   -e @Trig : [MEM2]

 24.001  RSLT         =
 24.002  HEAD         -2{ TRIG DELAY SENSITIVITY (50 MHz)}
 24.003  TARGET
 24.004  MATH         MEM = Ampl
 24.005  5800         mVpp                         50MH           LS S6 S  L
 24.006  IEEE2        TRIG:MAI:EDGE:SLO RISE
 24.007  IEEE2        TRIG:A:EDGE:SOU LINE
 24.008  IEEE2        TRIG:B:STATE ON;BY TIME;EDGE:SOU CH[V @Chan]
 24.009  IEEE2        TRIG:B SETL
 24.010  MATH         @TrigObj = "B"
 24.011  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 24.012  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 24.013  EVAL   -e @Trig : [MEM2]

 25.001  IEEE2        TRIG:B:STATE OFF

 25.002  IF           @Chan == 1
 25.003  RSLT         =
 25.004  HEAD         -2{ AUX IN TRIG SENSITIVITY (50 MHz)}
# This TARGET and JMPL are here so "Repeat" and "Cancel" will be
# able to setup waveform again with correct hook-up.
 25.005  JMPL         AUX_IN_TRIG_SENS_50M_START

 25.006  TARGET
 25.007  DISP         Reconnect the 58xxA CHAN 1 to the UUT CH 1.

 25.008  LABEL        AUX_IN_TRIG_SENS_50M_START
 25.009  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV(100 mV/div, 4 div).
 25.010  MATH         MEM = 400; MEM1 = MEM

 25.011  DO
 25.012  MATH         MEM = MEM1 + (400 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 25.013  IF           MEM > 5500 || MEM < 5
 25.014  MATH         MEM = 400
 25.015  ENDIF

 25.016  5800         mVpp                         50MH           LS S6 S  L

 25.017  DO
 25.018  IEEE2        [D250]TRIG:A SETL
 25.019  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 25.020  UNTIL        @Trig

 25.021  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 25.022  MATH         MEM = MEM / 1E-3
 25.023  UNTIL        (MEM >= 398) && (MEM <= 402)

 25.024  MATH         Ampl = MEM1
 25.025  5800         *                                                 S

 25.026  DISP         Connect the 58xxA CHAN 1 to the UUT AUX IN.
 25.026  DISP
 25.026  DISP         You may not see the waveform during the following test.
 25.026  DISP         The "triggered" status will be checked automatically.
 25.027  MATH         MEM = Ampl
 25.028  5800         mVpp                         50MH           LS S6 S  L
 25.029  WAIT         -t 3 System Settling ...
 25.030  IEEE2        TRIG:A:EDGE:SOU AUX
 25.031  MATH         @PeakVal = 200E-3
 25.032  MATH         @StepVal = 0.5E-3
 25.033  MATH         @TrigObj = "A"
 25.034  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 25.035  MEM2         = Rising Slope, Limit: 400 mV @ 50 MHz
 25.036  EVAL   -e @Trig : [MEM2]

 26.001  MATH         MEM = Ampl
 26.002  5800         mVpp                         50MH           LS S6 S  L
 26.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 26.004  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 26.005  MEM2         = Falling Slope, Limit: 400 mV @ 50 MHz
 26.006  EVAL   -e @Trig : [MEM2]

 27.001  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 27.002  5800         *                                                 S
 27.003  DISP         Reconnect the 58xxA CHAN 1 to the UUT CH 1.
 27.004  ENDIF

 27.005  RSLT         =
 27.006  HEAD         -2{ TRIG SENSITIVITY (Full Bandwidth)}
 27.007  TARGET

 27.008  IF           ZCMPI(@ModelNum, "TDS5054BE")
 27.009  IEEE2        HOR:SCA 500E-12
 27.010  ELSE
 27.011  IEEE2        HOR:SCA 400E-12
 27.012  ENDIF

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV(100 mV/div, 5 div).
 27.013  MATH         MEM = 500; MEM1 = MEM

 27.014  DO
 27.015  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 27.016  IF           MEM > 5500 || MEM < 5
 27.017  MATH         MEM = 500
 27.018  ENDIF

 27.019  IF           @Bandwidth == 350E+6
 27.020  5800         mVpp                         350MH          LS S6 S  L
 27.021  ELSE
 27.022  5800         mVpp                         500MH          LS S6 S  L
 27.023  ENDIF

 27.024  DO
 27.025  IEEE2        [D250]TRIG:A SETL
 27.026  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 27.027  UNTIL        @Trig

 27.028  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 27.029  MATH         MEM = MEM / 1E-3
 27.030  UNTIL        (MEM >= 495) && (MEM <= 505)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 27.031  MATH         MEM = MEM1 / 5

 27.032  IF           @Bandwidth == 350E+6
 27.033  MATH         Freq = 350
 27.034  5800         mVpp                         350MH          LS S6 S  L
 27.035  ELSE
 27.036  MATH         Freq = 500
 27.037  5800         mVpp                         500MH          LS S6 S  L
 27.038  ENDIF

 27.039  MATH         Ampl = MEM1
 27.040  IEEE2        TRIG:MAI:EDGE:SLO RISE
 27.041  MATH         @PeakVal = 50E-3
 27.042  MATH         @StepVal = 0.5E-3
 27.043  MATH         @TrigObj = "A"
 27.044  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 27.045  MEM2         = Rising Slope, Limit: 1 div @ [V Freq] MHz
 27.046  EVAL   -e @Trig : [MEM2]

 28.001  MATH         MEM = Ampl

 28.002  IF           @Bandwidth == 350E+6
 28.003  5800         mVpp                         350MH          LS S6 S  L
 28.004  ELSE
 28.005  5800         mVpp                         500MH          LS S6 S  L
 28.006  ENDIF

 28.007  IEEE2        TRIG:MAI:EDGE:SLO FALL
 28.008  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 28.009  MEM2         = Falling Slope, Limit: 1 div @ [V Freq] MHz
 28.010  EVAL   -e @Trig : [MEM2]

 29.001  RSLT         =
 29.002  HEAD         -2{ TRIG DELAY SENSITIVITY (Full Bandwidth)}
 29.003  TARGET
 29.004  MATH         MEM = Ampl

 29.005  IF           @Bandwidth == 350E+6
 29.006  5800         mVpp                         350MH          LS S6 S  L
 29.007  ELSE
 29.008  5800         mVpp                         500MH          LS S6 S  L
 29.009  ENDIF

 29.010  IEEE2        TRIG:MAI:EDGE:SLO RISE
 29.011  IEEE2        TRIG:A:EDGE:SOU LINE
 29.012  IEEE2        TRIG:B:STATE ON;BY TIME;EDGE:SOU CH[V @Chan]
 29.013  IEEE2        TRIG:B SETL
 29.014  MATH         @TrigObj = "B"
 29.015  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 29.016  MEM2         = Rising Slope, Limit: 1 div @ [V Freq] MHz
 29.017  EVAL   -e @Trig : [MEM2]

 30.001  IEEE2        TRIG:B:STATE OFF
 30.002  5800         *                                                 S

 30.003  IF           @Chan == 1
 30.004  RSLT         =
 30.005  HEAD         -2{ AUX IN TRIG SENSITIVITY (Full Bandwidth)}
# This TARGET and JMPL are here so "Repeat" and "Cancel" will be
# able to setup waveform again with correct hook-up.
 30.006  JMPL         AUX_IN_TRIG_SENS_FB_START

 30.007  TARGET
 30.008  DISP         Reconnect the 58xxA CHAN 1 to the UUT CH 1.

 30.009  LABEL        AUX_IN_TRIG_SENS_FB_START
 30.010  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 750 mV(100 mV/div, 7.5 div).
 30.011  MATH         MEM = 750; MEM1 = MEM

 30.012  DO
 30.013  MATH         MEM = MEM1 + (750 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 30.014  IF           MEM > 5500 || MEM < 5
 30.015  MATH         MEM = 750
 30.016  ENDIF

 30.017  IF           @Bandwidth == 350E+6
 30.018  5800         mVpp                         350MH          LS S6 S  L
 30.019  ELSE
 30.020  5800         mVpp                         500MH          LS S6 S  L
 30.021  ENDIF

 30.022  DO
 30.023  IEEE2        [D250]TRIG:A SETL
 30.024  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 30.025  UNTIL        @Trig

 30.026  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 30.027  MATH         MEM = MEM / 1E-3
 30.028  UNTIL        (MEM >= 745) && (MEM <= 755)

 30.029  MATH         Ampl = MEM1
 30.030  5800         *                                                 S

 30.031  DISP         Connect the 58xxA CHAN 1 to the UUT AUX IN.
 30.031  DISP
 30.031  DISP         You may not see the waveform during the following test.
 30.031  DISP         The "triggered" status will be checked automatically.
 30.032  MATH         MEM = Ampl

 30.033  IF           @Bandwidth == 350E+6
 30.034  5800         mVpp                         350MH          LS S6 S  L
 30.035  ELSE
 30.036  5800         mVpp                         500MH          LS S6 S  L
 30.037  ENDIF

 30.038  WAIT         -t 3 System Settling ...
 30.039  IEEE2        TRIG:A:EDGE:SOU AUX
 30.040  MATH         @PeakVal = 375E-3
 30.041  MATH         @StepVal = 5E-3
 30.042  MATH         @TrigObj = "A"
 30.043  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 30.044  MEM2         = Rising Slope, Limit: 750 mV @ [V Freq] MHz
 30.045  EVAL   -e @Trig : [MEM2]

 31.001  MATH         MEM = Ampl

 31.002  IF           @Bandwidth == 350E+6
 31.003  5800         mVpp                         350MH          LS S6 S  L
 31.004  ELSE
 31.005  5800         mVpp                         500MH          LS S6 S  L
 31.006  ENDIF

 31.007  IEEE2        TRIG:MAI:EDGE:SLO FALL
 31.008  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 31.009  MEM2         = Falling Slope, Limit: 750 mV @ [V Freq] MHz
 31.010  EVAL   -e @Trig : [MEM2]

 32.001  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 32.002  5800         *                                                 S
 32.003  WAIT         -t 30 Waiting for excess heat to dissipate...
 32.004  ENDIF

 32.005  HEAD
 32.006  HEAD         -2
 32.007  END
